import createStore from '@/utils/store'
import user from './models/user'
import system from './models/system'
import pageHeader from './models/pageHeader'

const initialState = {
  user: user(),
  system: system(),
  pageHeader: pageHeader(),
}

const store = createStore(initialState)
const { 
  addModel,
  useModel,
  getState,
} = store

export {
  addModel,
  useModel,
  getState,
}

export default store
